<?php

/**
 * Fired during plugin deactivation
 *
 * @link       https://talque.com
 * @since      1.0.0
 *
 * @package    Talque_Event
 * @subpackage Talque_Event/includes
 */

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      1.0.0
 * @package    Talque_Event
 * @subpackage Talque_Event/includes
 * @author     Volker Braun <volker.braun@real-life-interaction.de>
 */
class Talque_Event_Deactivator {

    /**
     * Activate the Talque Event plugin.
     *
     * TODO
     *
     * @since    1.0.0
     */
    public static function deactivate() {
        error_log( 'Deactivating the Talque Event plugin' );
        Talque_Event_Posts::get_instance()->deactivate_plugin_hook();
    }

}
