<?php
/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 * 
 * @wordpress-plugin
 * Plugin Name:       Talque Event
 * Plugin URI:        https://talque.com
 * Description:       Show your event data from talque.com in your wordpress page
 * Version:           1.3.0
 * Author:            Real Life Interaction GmbH
 * Author URI:        https://talque.com
 * License:           
 * License URI:       
 * Text Domain:       talque-event
 * Domain Path:       /languages
 */


define( 'TALQUE_EVENT_VERSION', '1.3.0' );


///////////////////////////////////////////////
// If this file is called directly, abort.

if ( ! defined( 'WPINC' ) ) {
    die;
}


///////////////////////////////////////////////
// Activate / Deactivate plugin

function activate_talque_event() {
    require_once plugin_dir_path( __FILE__ ) . 'includes/class-talque-event-activator.php';
    Talque_Event_Activator::activate();
}

function deactivate_talque_event() {
    require_once plugin_dir_path( __FILE__ ) . 'includes/class-talque-event-deactivator.php';
    Talque_Event_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_talque_event' );
register_deactivation_hook( __FILE__, 'deactivate_talque_event' );


///////////////////////////////////////////////
// Run the actual plugin

require plugin_dir_path( __FILE__ ) . 'includes/class-talque-event.php';

function run_talque_event() {
    $plugin = new Talque_Event();
    $plugin->run();
}

run_talque_event();
